<ngx-loading [show]="loading" />

<div
  [ngClass]="[jds.borderBottom(1)]"
  [style.backgroundColor]="'#ffffff'"
>
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.pt(12), jds.mb(12)]">
      <app-breadcrumb [breadcrumb]="breadcrumb" />
    </div>
  </div>
</div>

<div [ngClass]="[jds.mt(30), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="jds.row">
      <div [ngClass]="[jds.colLg(8), jds.offsetLg(2)]">
        <!--review-->
        <form
          [formGroup]="myForm"
          (ngSubmit)="onSubmit()"
          (keydown.enter)="$event.stopPropagation()"
        >
          <div [ngClass]="[jds.card]">
            <div [ngClass]="[jds.cardBody, jds.py(30), jds.px(40)]">
              <ng-container *ngIf="loadingDataset">
                <ng-container *ngFor="let number of [0, 1]">
                  <div class="wrapper-skeleton">
                    <ngx-skeleton-loader
                      [theme]="{
                        width: '40%',
                        'border-radius': '0',
                        height: '20px',
                        'margin-bottom': '10px'
                      }"
                    />
                  </div>
                  <div class="wrapper-skeleton">
                    <ngx-skeleton-loader
                      [theme]="{
                        width: '100%',
                        'border-radius': '0',
                        height: '43px',
                        'margin-bottom': '10px'
                      }"
                    />
                  </div>
                </ng-container>
              </ng-container>

              <ng-container *ngIf="!loadingDataset">
                <div [ngClass]="jds.mb(16)">
                  <label [ngClass]="jds.formLabel">Dataset</label>
                  <div
                    [ngClass]="jds.fw('bold')"
                    [style.fontFamily]="'Roboto'"
                  >
                    {{ dataDataset.name }}
                  </div>
                </div>

                <div [ngClass]="jds.mb(16)">
                  <label [ngClass]="jds.formLabel">
                    Beri Nilai
                    <span [ngClass]="jds.text('danger')">*</span>
                  </label>
                  <div class="star-rating">
                    <app-star-rating
                      [readonly]="false"
                      [rating]="dataRating"
                      [margin]="3"
                      [width]="24"
                      (rate)="onRate($event)"
                    />
                  </div>
                  <input
                    class="form-control"
                    type="hidden"
                    placeholder="Nilai"
                    formControlName="rating"
                  />
                  <ng-container
                    *ngIf="
                      rating?.invalid && (rating?.dirty || rating?.touched)
                    "
                  >
                    <div
                      *ngIf="rating?.errors.required"
                      [ngClass]="[jds.formText, jds.text('danger')]"
                    >
                      Harus diisi
                    </div>
                  </ng-container>
                </div>

                <div [ngClass]="jds.mb(16)">
                  <label [ngClass]="jds.formLabel">
                    Beri Ulasan
                    <span [ngClass]="jds.text('danger')">*</span>
                  </label>
                  <textarea
                    [colorScheme]="colorScheme"
                    jdsBiInput
                    placeholder="Ulasan"
                    rows="5"
                    formControlName="review"
                  ></textarea>
                  <ng-container
                    *ngIf="
                      review?.invalid && (review?.dirty || review?.touched)
                    "
                  >
                    <div
                      *ngIf="review?.errors.required"
                      [ngClass]="[jds.formText, jds.text('danger')]"
                    >
                      Harus diisi
                    </div>
                    <div
                      *ngIf="review?.errors.maxlength"
                      [ngClass]="[jds.formText, jds.text('danger')]"
                    >
                      Panjang maksimal 255 karakter.
                    </div>
                  </ng-container>
                </div>

                <div [ngClass]="[jds.d('flex'), jds.justifyContent('end')]">
                  <button
                    [ngClass]="[jds.button, jds.buttonPrimary]"
                    [disabled]="!myForm.valid"
                    type="submit"
                  >
                    Kirim Ulasan
                  </button>
                </div>
              </ng-container>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
